Bug 1259553 - cpanspec needs to use dnf repoquery
cpanspec needs to use dnf repoquery
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cpanspec (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 22:27 EDT by Orion Poplawski
Modified: 2015-11-10 06:46 EST (History)
6 users (show)

See Also:
Fixed In Version: cpanspec-1.78-23.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 06:46:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-02 22:27:57 EDT
Description of problem:

cpanspec needs to use dnf repoquery.  yum-utils (and repoquery) is orphaned in Fedora and will be removed at some point.
Comment 1 Petr Pisar 2015-09-03 03:27:12 EDT
yum-utils is not orphaned now. A deep dependency rubygem-rgen is orphaned. That affects mock too.

However I agree that cpanspec should be ported to dnf.
Comment 2 Petr Šabata 2015-09-03 04:56:47 EDT
I actually have the patch ready, just waiting for upstream to merge it:
https://github.com/silug/cpanspec/pull/10

It's been a while, though.  I'll probably just push it to Fedora anyway...
Comment 3 Petr Šabata 2015-09-03 05:34:17 EDT
I was about to build this for f22/f23 as well but the f23 buildroot is currently broken[0].  I'll do that later.

[0] https://fedorahosted.org/rel-eng/ticket/6242
Comment 4 Fedora Update System 2015-09-03 09:36:44 EDT
cpanspec-1.78-23.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14969
Comment 5 Fedora Update System 2015-09-04 03:29:47 EDT
cpanspec-1.78-23.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cpanspec'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14969
Comment 6 Fedora Update System 2015-09-04 03:33:51 EDT
cpanspec-1.78-23.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update cpanspec'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14968
Comment 7 Fedora Update System 2015-09-18 14:47:44 EDT
cpanspec-1.78-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-09-22 18:54:23 EDT
cpanspec-1.78-23.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.